## org.codehaus.groovy.tools.javac
Class JavacJavaCompiler

Field Summary
`CompilerConfiguration` | `config`

Constructor Summary
`JavacJavaCompiler(CompilerConfiguration config)`

Method Summary
`void` | `addJavacError(String header, CompilationUnit cu, StringWriter msg)`
`void` | `compile(List files, CompilationUnit cu)`
`Class` | `findJavac(CompilationUnit cu)`
`def` | `makeParameters(List files, GroovyClassLoader parentClassLoader)`

Constructor Detail

### JavacJavaCompiler

    public JavacJavaCompiler(CompilerConfiguration config)

Method Detail

### addJavacError

    void addJavacError(String header, CompilationUnit cu, StringWriter msg)

### compile

    public void compile(List files, CompilationUnit cu)

### findJavac

    Class findJavac(CompilationUnit cu)

### makeParameters

    def makeParameters(List files, GroovyClassLoader parentClassLoader)